Package twisted :: Package cred :: Module credentials :: Class IUsernameHashedPassword

[frames | no frames]

## Class IUsernameHashedPassword

    Interface --+
                |
     ICredentials --+
                    |
                   IUsernameHashedPassword

I encapsulate a username and a hashed password.

This credential is used when a hashed password is received from the party requesting authentication. CredentialCheckers which check this kind of credential must store the passwords in plaintext (or as password-equivalent hashes) form so that they can be hashed in a manner appropriate for the particular credentials class.

Method Summary
| ``checkPassword`(self, password)` Validate these credentials against the correct password.

Instance Variable Summary
`str` | `username`: The username associated with these credentials.

Class Variable Summary
Inherited from ICredentials
| `__implements__`: Implementors _must_ provide an __implements__ attribute which contains at least the list of sub-interfaces of ICredentials to which it conforms.

Method Details

### checkPassword(self, password)

Validate these credentials against the correct password.

  Parameters:
    `password` - The correct, plaintext password against which to check.
  Returns:
    a deferred which becomes, or a boolean indicating if the password matches.

Instance Variable Details

### username

The username associated with these credentials.

  Type:
    `str`

Generated by Epydoc 2.0 on Wed Feb 25 07:37:16 2004 | http://epydoc.sf.net